doptimal {sdpt3r} | R Documentation

## D-Optimal Experimental Design

### Description

`doptimal` creates input for sqlp to solve the D-Optimal Experimental Design problem - given an nxp matrix with p <= n, find the portion of points that maximizes det(A'A)

### Usage

    doptimal(V)

### Arguments

`V` | a pxn matrix containing a set of n test vectors in dimension p (with p <= n)

### Details

Solves the D-optimal experimental design problem. Mathematical and implementation details can be found in the vignette

### Value

`X` | A list containing the solution matrix to the primal problem
`y` | A list containing the solution vector to the dual problem
`Z` | A list containing the solution matrix to the dual problem
`pobj` | The achieved value of the primary objective function
`dobj` | The achieved value of the dual objective function

### Examples

    data(DoptDesign)

    out <- doptimal(DoptDesign)

[Package sdpt3r version 0.3 Index]